=====================================================================================
  shinken windows-by-WinRM : configuration pour domaine Windows ( Active Directory )
=====================================================================================

Deux scripts sont mis à disposition dans ce dossier. Ils sont requis à la configuration d'un domaine pour la supervision par la pack windows-by-WinRM.
Ils ne configurent pas l'entièreté  des paramètres nécessaires pour le bon fonctionnement du pack, mais sont necessaire.

Ces scripts sont faits pour être accrochés à des GPO. Une fois accrochés, les scripts seront déployés automatiquement et exécutés selon les conditions configurées ( au démarrage de l'ordinateur ou au lancement d'une session Administrateur choisis ).
Veuillez-vous référer à la documentation de configuration des hôtes à superviser pour le pack windows-by-WinRM.

===========  Execution des script ===========

AddSecurityPrincipalonDefaultWinRMSDDL.ps1 :

  Configure les permissions d'exécution WinRM pour un groupe ou utilisateur d'un domaine.

  => Arguments :
      -user               Utilisateur ou groupe d'un domaine à qui appliquer les permissions.
      -Force              Par défaut le script ne s'exécute en entier qu'une seule fois ; Une seconde exécution échouera avant de commencer la configuration.
                          Ce comportement est fait pour ne pas exécuter systématiquement le script lorsqu'il est configuré par GPO au démarrage de l'ordinateur.
                          L'option -Force permet d'éviter la vérification des précédentes exécutions, et d'appliquer le script en entier.

  => Exemples :
      - ./AddSecurityPrincipalonDefaultWinRMSDDL.ps1 -user "DOMAIN\GROUP_OR_USER"
      - ./AddSecurityPrincipalonDefaultWinRMSDDL.ps1 -user "DOMAIN\GROUP_OR_USER" -Force


WMINameSpaceSecurity.ps1 :
  
  Configure les permissions de lecture aux objets WMI 'root\standardcimv2' et 'root\cimv2' pour un groupe ou utilisateur d'un domaine.

  => Arguments :
      -user               Utilisateur ou groupe d'un domaine à qui appliquer les permissions.
      -Force              Par défaut le script ne s'exécute en entier qu'une seule fois ; Une seconde exécution échouera avant de commencer la configuration.
                          Ce comportement est fait pour ne pas exécuter systématiquement le script lorsqu'il est configuré par GPO au démarrage de l'ordinateur.
                          L'option -Force permet d'éviter la vérification des précédentes exécutions, et d'appliquer le script en entier.

  => Exemples :
      - ./WMINameSpaceSecurity.ps1 -user "DOMAIN\GROUP_OR_USER"
      - ./WMINameSpaceSecurity.ps1 -user "DOMAIN\GROUP_OR_USER" -Force